### Signal

# RB EncoderFactory::prepare-source

#### Declaration

    void
    prepare_source (
      RBEncoderFactory* self,
      gchar* uri,
      GObject* source,
      gpointer user_data
    )

#### Description [src]

Emitted when creating a source to read the specified URI. Plugins can use this when just creating a GStreamer element from the URI isn’t enough. Typically this happens when there’s no way to pass device information through the URI format.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  The URI for the source.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`source`

  Type: `GObject`

  The source object (a GstElement in fact).

  The data is owned by the caller of the function.